Bug 253568 - alsa and computer control issue
alsa and computer control issue
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: slim (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Anders F Björklund
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 12:48 EDT by Jakub 'Livio' Rusinek
Modified: 2008-05-19 11:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 11:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2007-08-20 12:48:18 EDT
Description of problem:

when slim is my display manager, i can't shutdown or reboot computer from gnome
menu (only using slim, what isn't what i need), but logout.

also, alsa doesn't work. i can't use alsamixer etc.

when gdm is my display manager, everything is working.

is there hal/dbus support missing?

i'd like to use slim, because it is very nice display manager.

Version-Release number of selected component (if applicable):

1.2.6-5 (.fc7)

How reproducible:

always

Steps to Reproduce:

1. create /etc/sysconfig/desktop with "DESKTOPMANAGER=slim"

2. edit /etc/inittab by commenting x:5:respawn:/etc/X11/prefdm -nodaemon
and adding x:5:respawn:/usr/bin/slim

3. reboot your computer or do init 3 and init 5
  
Actual results:

when i log in into gnome, i can't use shutdown/reboot option, but logout.
sound doesn't work.

Expected results:

i can shutdown/reboot computer using gnome menu.
sound works.

Additional info:

maybe it's an missing support for eg. hal, dbus...

i've filled bug in their bugzilla:
http://developer.berlios.de/bugs/?func=detailbug&bug_id=11814&group_id=2663
Comment 1 Anders F Björklund 2007-09-24 14:45:06 EDT
If this is indeed a PAM issue, then it will require slim version 1.3.0 or later.

1.3.0 will be in FC8, until then I guess you need to use the Slim methods or GDM.
http://koji.fedoraproject.org/koji/buildinfo?buildID=17668
Comment 2 Anders F Björklund 2007-09-24 16:02:15 EDT
backported PAM support from slim version 1.3.0, please test:
http://koji.fedoraproject.org/koji/buildinfo?buildID=19452
Comment 3 Bug Zapper 2008-05-14 10:02:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.